import { registerAs } from '@nestjs/config';

export default registerAs('producerServices', () => ({
  geographyUrl: process.env.GEOGRAPHY_SERVICE_URL ?? 'v3-geography-api',
  geographyPort: process.env.GEOGRAPHY_SERVICE_PORT
    ? parseInt(process.env.GEOGRAPHY_SERVICE_PORT, 10)
    : 5007,
}));
