import { CandidateEntity } from '@modules/ad/core/domain/candidate.entity';
import { Filter } from './filter.abstract';

/**
 * Filter candidates with empty journeys
 */
export class JourneyFilter extends Filter {
  filter = async (candidates: CandidateEntity[]): Promise<CandidateEntity[]> =>
    candidates.filter((candidate: CandidateEntity) => candidate.hasJourneys());
}
